%global upname kapteyn

Name: python-kapteyn
Version: 2.2
Release: %mkrel 4
Summary: The Kapteyn Python Astronomy package
License: BSD
Group: Sciences/Astronomy

URL: http://www.astro.rug.nl/software/kapteyn/
Source0: http://www.astro.rug.nl/software/kapteyn/%{upname}-%{version}.tar.gz
Patch0: kapteyn-unbundle-wcslib.patch
BuildRequires: python-devel python-numpy-devel wcslib-devel

# we don't want to provide private python extension libs
%global __provides_exclude_from ^(%{python_sitearch}/.*\\.so)$

%description
The Kapteyn Package is a collection of Python modules and applications 
developed by the computer group of the Kapteyn Astronomical Institute, 
University of Groningen, The Netherlands. The purpose of the package is 
to provide tools for the development of astronomical applications with Python.

%prep
%setup -n %{upname}-%{version} -q
# Unbundle wcslib
%patch0 -p1
rm -rf src/wcslib-4.13.4

# Removing bogus shebang
pushd kapteyn
sed -i -e "1d" wcsgrat.py celestial.py maputils.py positions.py shapes.py rulers.py
popd

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
find %{buildroot}/%{python_sitearch}/kapteyn -name "*.so" |xargs chmod 755

%files
%doc doc/kapteyn.pdf
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitearch}/kapteyn
%{python_sitearch}/kapteyn-%{version}-*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.2-4.mga4
+ Revision: 543743
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2-3.mga4
+ Revision: 498816
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 27 2013 joequant <joequant> 2.2-2.mga4
+ Revision: 459027
- change buildrequires

* Fri Jul 26 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 458559
- add numpy devel
- change group
- imported package python-kapteyn

